aboutsummaryrefslogtreecommitdiffstats
path: root/debian/init.d
diff options
context:
space:
mode:
authorreinelt <>2004-01-02 14:20:15 +0000
committerreinelt <>2004-01-02 14:20:15 +0000
commite960f9103cb38626e9709e2310fe8d4c73855812 (patch)
tree2e71c92ef9ccafb5404b9117cff94665576ad9f7 /debian/init.d
parent707a9814c936000490f2234110e0a85685415610 (diff)
downloadlcd4linux-e960f9103cb38626e9709e2310fe8d4c73855812.tar.gz
[lcd4linux @ 2004-01-02 14:20:15 by reinelt]
debianization added
Diffstat (limited to 'debian/init.d')
-rw-r--r--debian/init.d47
1 files changed, 47 insertions, 0 deletions
diff --git a/debian/init.d b/debian/init.d
new file mode 100644
index 0000000..207e038
--- /dev/null
+++ b/debian/init.d
@@ -0,0 +1,47 @@
+#! /bin/sh
+#
+# lcd4linux
+#
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/bin/lcd4linux
+NAME=lcd4linux
+DESC=lcd4linux
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
+ --exec $DAEMON
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --oknodo --stop --quiet --pidfile /var/run/$NAME.pid \
+ --exec $DAEMON
+ echo "$NAME."
+ ;;
+ reload)
+ start-stop-daemon --stop --signal 1 --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON
+ ;;
+ restart|force-reload)
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --stop --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON
+ sleep 1
+ start-stop-daemon --start --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0